diff -Ncr linux-2.4.20-aralion-0.0/drivers/pci/pci.ids linux-2.4.20-aralion-0.1/drivers/pci/pci.ids
*** linux-2.4.20-aralion-0.0/drivers/pci/pci.ids	2003-11-26 16:26:01.000000000 +0900
--- linux-2.4.20-aralion-0.1/drivers/pci/pci.ids	2003-11-26 16:30:31.000000000 +0900
***************
*** 2698,2721 ****
  	0598  VT82C598 [Apollo MVP3]
  	0601  VT8601 [Apollo ProMedia]
  	0605  VT8605 [ProSavage PM133]
  	0680  VT82C680 [Apollo P6]
  	0686  VT82C686 [Apollo Super South]
  		1043 8033  A7V Mainboard
  		1043 8042  A7V133/A7V133-C Mainboard
  		1106 0000  VT82C686/A PCI to ISA Bridge
  		1106 0686  VT82C686/A PCI to ISA Bridge
  	0691  VT82C693A/694x [Apollo PRO133x]
  		1458 0691  VT82C691 Apollo Pro System Controller
  	0693  VT82C693 [Apollo Pro Plus]
  	0698  VT82C693A [Apollo Pro133 AGP]
  	0926  VT82C926 [Amazon]
  	1000  VT82C570MV
  	1106  VT82C570MV
! 	1571  VT82C416MV
  	1595  VT82C595/97 [Apollo VP2/97]
  	3038  USB
  		0925 1234  USB Controller
! 		1234 0925  MVP3 USB Controller
  	3040  VT82C586B ACPI
  	3043  VT86C100A [Rhine]
  		10bd 0000  VT86C100A Fast Ethernet Adapter
--- 2971,3005 ----
  	0598  VT82C598 [Apollo MVP3]
  	0601  VT8601 [Apollo ProMedia]
  	0605  VT8605 [ProSavage PM133]
+ 		1043 802c  CUV4X mainboard
  	0680  VT82C680 [Apollo P6]
  	0686  VT82C686 [Apollo Super South]
+ 		1019 0985  P6VXA Motherboard
+ 		1043 802c  CUV4X mainboard
  		1043 8033  A7V Mainboard
+ 		1043 803e  A7V-E Mainboard
+ 		1043 8040  A7M266 Mainboard
  		1043 8042  A7V133/A7V133-C Mainboard
  		1106 0000  VT82C686/A PCI to ISA Bridge
  		1106 0686  VT82C686/A PCI to ISA Bridge
+ 		1179 0001  Magnia Z310
+ 		147b a702  KG7-Lite Mainboard
  	0691  VT82C693A/694x [Apollo PRO133x]
+ 		1019 0985  P6VXA Motherboard
+ 		1179 0001  Magnia Z310
  		1458 0691  VT82C691 Apollo Pro System Controller
  	0693  VT82C693 [Apollo Pro Plus]
  	0698  VT82C693A [Apollo Pro133 AGP]
  	0926  VT82C926 [Amazon]
  	1000  VT82C570MV
  	1106  VT82C570MV
! 	1571  VT82C576M/VT82C586
  	1595  VT82C595/97 [Apollo VP2/97]
  	3038  USB
  		0925 1234  USB Controller
! 		1019 0985  P6VXA Motherboard
! 		1043 808c  A7V8X motherboard
! 		1179 0001  Magnia Z310
  	3040  VT82C586B ACPI
  	3043  VT86C100A [Rhine]
  		10bd 0000  VT86C100A Fast Ethernet Adapter
***************
*** 2725,2765 ****
  	3050  VT82C596 Power Management
  	3051  VT82C596 Power Management
  	3057  VT82C686 [Apollo Super ACPI]
  		1043 8033  A7V Mainboard
  		1043 8042  A7V133/A7V133-C Mainboard
  	3058  VT82C686 AC97 Audio Controller
  		0e11 b194  Soundmax integrated digital audio
  		1106 4511  Onboard Audio on EP7KXA
  		1458 7600  Onboard Audio
  		1462 3091  MS-6309 Onboard Audio
  		15dd 7609  Onboard Audio
! 	3059  VT8233 AC97 Audio Controller
! 		1458 a002  GA-7VAX Onboard Audio (Realtek ALC650) 
  	3065  VT6102 [Rhine-II]
  		1186 1400  DFE-530TX rev A
  		1186 1401  DFE-530TX rev B
! 	3068  AC97 Modem Controller
  	3074  VT8233 PCI to ISA Bridge
  	3091  VT8633 [Apollo Pro266]
! 	3099  VT8367 [KT266]
! 		1043 8064  A7V266-E
! 		1043 807f  A7V333
  	3101  VT8653 Host Bridge
  	3102  VT8662 Host Bridge
  	3103  VT8615 Host Bridge
  	3104  USB 2.0
  		1458 5004  GA-7VAX Mainboard
  	3109  VT8233C PCI to ISA Bridge
  	3112  VT8361 [KLE133] Host Bridge
  	3128  VT8753 [P4X266 AGP]
  	3133  VT3133 Host Bridge
  	3147  VT8233A ISA Bridge
  	3148  P4M266 Host Bridge
  	3156  P/KN266 Host Bridge
! 	3177  VT8233A ISA Bridge
! 		1458 5001 GA-7VAX Mainboard
  	3189  VT8377 [KT400 AGP] Host Bridge
! 		1458 5000 GA-7VAX Mainboard
  	5030  VT82C596 ACPI [Apollo PRO]
  	6100  VT85C100A [Rhine II]
  	8231  VT8231 [PCI-to-ISA Bridge]
--- 3009,3068 ----
  	3050  VT82C596 Power Management
  	3051  VT82C596 Power Management
  	3057  VT82C686 [Apollo Super ACPI]
+ 		1019 0985  P6VXA Motherboard
  		1043 8033  A7V Mainboard
+ 		1043 803e  A7V-E Mainboard
+ 		1043 8040  A7M266 Mainboard
  		1043 8042  A7V133/A7V133-C Mainboard
+ 		1179 0001  Magnia Z310
  	3058  VT82C686 AC97 Audio Controller
  		0e11 b194  Soundmax integrated digital audio
+ 		1019 0985  P6VXA Motherboard
  		1106 4511  Onboard Audio on EP7KXA
  		1458 7600  Onboard Audio
  		1462 3091  MS-6309 Onboard Audio
  		15dd 7609  Onboard Audio
! 	3059  VT8233/A/8235 AC97 Audio Controller
! 		1043 8095  A7V8X Motherboard (Realtek ALC650 codec)
! 		1458 a002  GA-7VAX Onboard Audio (Realtek ALC650)
  	3065  VT6102 [Rhine-II]
+ 		1106 0102  VT6102 [Rhine II] Embeded Ethernet Controller on VT8235
  		1186 1400  DFE-530TX rev A
  		1186 1401  DFE-530TX rev B
! 		13b9 1421  LD-10/100AL PCI Fast Ethernet Adapter (rev.B)
! 	3068  Intel 537 [AC97 Modem]
  	3074  VT8233 PCI to ISA Bridge
+ 		1043 8052  VT8233A
  	3091  VT8633 [Apollo Pro266]
! 	3099  VT8366/A/7 [Apollo KT266/A/333]
! 		1043 8064  A7V266-E Mainboard
! 		1043 807f  A7V333 Mainboard
  	3101  VT8653 Host Bridge
  	3102  VT8662 Host Bridge
  	3103  VT8615 Host Bridge
  	3104  USB 2.0
+ 		1043 808c  A7V8X motherboard
  		1458 5004  GA-7VAX Mainboard
+ 	3106  VT6105 [Rhine-III]
  	3109  VT8233C PCI to ISA Bridge
  	3112  VT8361 [KLE133] Host Bridge
+ 	3116  VT8375 [KM266/KL266] Host Bridge
+ # found on EPIA M6000/9000 mainboard
+ 	3122  VT8623 [Apollo CLE266] integrated CastleRock graphics
+ # found on EPIA M6000/9000 mainboard
+ 	3123  VT8623 [Apollo CLE266]
  	3128  VT8753 [P4X266 AGP]
  	3133  VT3133 Host Bridge
  	3147  VT8233A ISA Bridge
  	3148  P4M266 Host Bridge
  	3156  P/KN266 Host Bridge
! 	3168  VT8374 P4X400 Host Controller/AGP Bridge
! 	3177  VT8235 ISA Bridge
! 		1043 808c  A7V8X motherboard
! 		1458 5001  GA-7VAX Mainboard
  	3189  VT8377 [KT400 AGP] Host Bridge
! 		1043 807f  A7V8X motherboard
! 		1458 5000  GA-7VAX Mainboard
  	5030  VT82C596 ACPI [Apollo PRO]
  	6100  VT85C100A [Rhine II]
  	8231  VT8231 [PCI-to-ISA Bridge]
***************
*** 2770,2781 ****
  	8596  VT82C596 [Apollo PRO AGP]
  	8597  VT82C597 [Apollo VP3 AGP]
  	8598  VT82C598/694x [Apollo MVP3/Pro133x AGP]
  	8601  VT8601 [Apollo ProMedia AGP]
  	8605  VT8605 [PM133 AGP]
  	8691  VT82C691 [Apollo Pro]
  	8693  VT82C693 [Apollo Pro Plus] PCI Bridge
  	b091  VT8633 [Apollo Pro266 AGP]
! 	b099  VT8367 [KT333 AGP]
  	b101  VT8653 AGP Bridge
  	b102  VT8362 AGP Bridge
  	b103  VT8615 AGP Bridge
--- 3073,3085 ----
  	8596  VT82C596 [Apollo PRO AGP]
  	8597  VT82C597 [Apollo VP3 AGP]
  	8598  VT82C598/694x [Apollo MVP3/Pro133x AGP]
+ 		1019 0985  P6VXA Motherboard
  	8601  VT8601 [Apollo ProMedia AGP]
  	8605  VT8605 [PM133 AGP]
  	8691  VT82C691 [Apollo Pro]
  	8693  VT82C693 [Apollo Pro Plus] PCI Bridge
  	b091  VT8633 [Apollo Pro266 AGP]
! 	b099  VT8366/A/7 [Apollo KT266/A/333 AGP]
  	b101  VT8653 AGP Bridge
  	b102  VT8362 AGP Bridge
  	b103  VT8615 AGP Bridge
***************
*** 2797,2802 ****
--- 3101,3112 ----
  110a  Siemens Nixdorf AG
  	0002  Pirahna 2-port
  	0005  Tulip controller, power management, switch extender
+ 	0006  FSC PINC (I/O-APIC)
+ 	0015  FSC Multiprocessor Interrupt Controller
+ 	001d  FSC Copernicus Management Controller
+ 	007b  FSC Remote Service Controller, mailbox device
+ 	007c  FSC Remote Service Controller, shared memory device
+ 	007d  FSC Remote Service Controller, SMIC device
  	2102  DSCC4 WAN adapter
  	4942  FPGA I-Bus Tracer for MBD
  	6120  SZB6120
***************
*** 2811,2818 ****
  	6037  Firepower Powerized SMP I/O ASIC
  	6073  Firepower Powerized SMP I/O ASIC
  1111  Santa Cruz Operation
! # DJ: Some people say that 0x1112 is Rockwell International
! 1112  RNS - Div. of Meret Communications Inc
  	2200  FDDI Adapter
  	2300  Fast Ethernet Adapter
  	2340  4 Port Fast Ethernet Adapter
--- 3121,3128 ----
  	6037  Firepower Powerized SMP I/O ASIC
  	6073  Firepower Powerized SMP I/O ASIC
  1111  Santa Cruz Operation
! # Also claimed to be RNS or Rockwell International, current PCISIG records list Osicom
! 1112  Osicom Technologies Inc
  	2200  FDDI Adapter
  	2300  Fast Ethernet Adapter
  	2340  4 Port Fast Ethernet Adapter
***************
*** 2822,2827 ****
--- 3132,3138 ----
  		103c 1207  EN-1207D Fast Ethernet Adapter
  		1113 1211  EN-1207D Fast Ethernet Adapter
  	1216  EN-1216 Ethernet Adapter
+ 		111a 1020  SpeedStream 1020 PCI 10/100 Ethernet Adaptor [EN-1207F-TX ?]
  	1217  EN-1217 Ethernet Adapter
  	5105  10Mbps Network card
  	9211  EN-1207D Fast Ethernet Adapter
***************
*** 2962,2970 ****
--- 3273,3286 ----
  	0001  MVC IM-PCI Video frame grabber/processor
  1130  Computervision
  1131  Philips Semiconductors
+ 	1561  USB 1.1 Host Controller
+ 	1562  USB 2.0 Host Controller
+ 	3400  SmartPCI56(UCB1500) 56K Modem
  	7130  SAA7130 Video Broadcast Decoder
+ 	7133  SAA7133 Audio+video broadcast decoder
  # PCI audio and video broadcast decoder (http://www.semiconductors.philips.com/pip/saa7134hl)
  	7134  SAA7134
+ 	7135  SAA7135 Audio+video broadcast decoder
  	7145  SAA7145
  	7146  SAA7146
  		114b 2003  DVRaptor Video Edit/Capture Card
***************
*** 2993,2998 ****
--- 3309,3315 ----
  		1133 e004  DIVA 2.0 U
  	e005  DIVA LOW
  		1133 e005  DIVA 2.01 S/T
+ 	e00b  DIVA 2.02
  	e010  DIVA Server BRI-2M
  		1133 e010  DIVA Server BRI-2M
  	e012  DIVA Server BRI-8M
***************
*** 3041,3055 ****
  1144  Cincinnati Milacron
  	0001  Noservo controller
  1145  Workbit Corporation
- 	f007  NinjaSCSI-32 KME
  	8007  NinjaSCSI-32 Workbit
  	f010  NinjaSCSI-32 Workbit
  	f012  NinjaSCSI-32 Logitec
  	f013  NinjaSCSI-32 Logitec
  	f015  NinjaSCSI-32 Melco
  1146  Force Computers
  1147  Interface Corp
! 1148  SysKonnect
  	4000  FDDI Adapter
  		0e11 b03b  Netelligent 100 FDDI DAS Fibre SC
  		0e11 b03c  Netelligent 100 FDDI SAS Fibre SC
--- 3358,3372 ----
  1144  Cincinnati Milacron
  	0001  Noservo controller
  1145  Workbit Corporation
  	8007  NinjaSCSI-32 Workbit
+ 	f007  NinjaSCSI-32 KME
  	f010  NinjaSCSI-32 Workbit
  	f012  NinjaSCSI-32 Logitec
  	f013  NinjaSCSI-32 Logitec
  	f015  NinjaSCSI-32 Melco
  1146  Force Computers
  1147  Interface Corp
! 1148  Syskonnect (Schneider & Koch)
  	4000  FDDI Adapter
  		0e11 b03b  Netelligent 100 FDDI DAS Fibre SC
  		0e11 b03c  Netelligent 100 FDDI SAS Fibre SC
***************
*** 3067,3095 ****
  		1148 5843  FDDI SK-5843 (SK-NET FDDI-LP64)
  		1148 5844  FDDI SK-5844 (SK-NET FDDI-LP64 DAS)
  	4200  Token Ring adapter
! 	4300  SK-98xx Gigabit Ethernet Server Adapter
! 		1148 9821  SK-9821 Gigabit Ethernet 1000Base-T Server Adapter
! 		1148 9822  SK-9822 Gigabit Ethernet 1000Base-T Dual Port Server Adapter
! 		1148 9841  SK-9841 Gigabit Ethernet 1000Base-LX Server Adapter
! 		1148 9842  SK-9842 Gigabit Ethernet 1000Base-LX Dual Port Server Adapter
! 		1148 9843  SK-9843 Gigabit Ethernet 1000Base-SX Server Adapter
! 		1148 9844  SK-9844 Gigabit Ethernet 1000Base-SX Dual Port Server Adapter
! 		1148 9861  SK-9861 Gigabit Ethernet 1000Base-SX Server Adapter
! 		1148 9862  SK-9862 Gigabit Ethernet 1000Base-SX Dual Port Server Adapter
! 		1148 9871  SK-9871 Gigabit Ethernet 1000Base-ZX Server Adapter
! 		1148 9872  SK-9872 Gigabit Ethernet 1000Base-ZX Dual Port Server Adapter
  	4320  SK-98xx Gigabit Ethernet Server Adapter
- 		1148 9521  SK-9521 10/100/1000Base-T Adapter
  		1148 5021  SK-9821 V2.0 Gigabit Ethernet 10/100/1000Base-T Adapter
  		1148 5041  SK-9841 V2.0 Gigabit Ethernet 1000Base-LX Adapter
  		1148 5043  SK-9843 V2.0 Gigabit Ethernet 1000Base-SX Adapter
  		1148 5051  SK-9851 V2.0 Gigabit Ethernet 1000Base-SX Adapter
  		1148 5061  SK-9861 V2.0 Gigabit Ethernet 1000Base-SX Adapter
  		1148 5071  SK-9871 V2.0 Gigabit Ethernet 1000Base-ZX Adapter
  	4400  Gigabit Ethernet
  1149  Win System Corporation
  114a  VMIC
  	5579  VMIPCI-5579 (Reflective Memory Card)
  	7587  VMIVME-7587
  114b  Canopus Co., Ltd
  114c  Annabooks
--- 3384,3420 ----
  		1148 5843  FDDI SK-5843 (SK-NET FDDI-LP64)
  		1148 5844  FDDI SK-5844 (SK-NET FDDI-LP64 DAS)
  	4200  Token Ring adapter
! 	4300  Gigabit Ethernet
! 		1148 9821  SK-9821 (1000Base-T single link)
! 		1148 9822  SK-9822 (1000Base-T dual link)
! 		1148 9841  SK-9841 (1000Base-LX single link)
! 		1148 9842  SK-9842 (1000Base-LX dual link)
! 		1148 9843  SK-9843 (1000Base-SX single link)
! 		1148 9844  SK-9844 (1000Base-SX dual link)
! 		1148 9861  SK-9861 (1000Base-SX VF45 single link)
! 		1148 9862  SK-9862 (1000Base-SX VF45 dual link)
! # Information got from SysKonnekt
! 		1148 9871  SK-9871 (1000Base-ZX single link)
! # Information got from SysKonnekt
! 		1148 9872  SK-9872 (1000Base-ZX dual link)
! 		1259 2970  AT-2970SX [Allied Telesyn]
! 		1259 2972  AT-2970T [Allied Telesyn]
! 		1259 2975  AT-2970SX [Allied Telesyn]
! 		1259 2977  AT-2970T [Allied Telesyn]
  	4320  SK-98xx Gigabit Ethernet Server Adapter
  		1148 5021  SK-9821 V2.0 Gigabit Ethernet 10/100/1000Base-T Adapter
  		1148 5041  SK-9841 V2.0 Gigabit Ethernet 1000Base-LX Adapter
  		1148 5043  SK-9843 V2.0 Gigabit Ethernet 1000Base-SX Adapter
  		1148 5051  SK-9851 V2.0 Gigabit Ethernet 1000Base-SX Adapter
  		1148 5061  SK-9861 V2.0 Gigabit Ethernet 1000Base-SX Adapter
  		1148 5071  SK-9871 V2.0 Gigabit Ethernet 1000Base-ZX Adapter
+ 		1148 9521  SK-9521 10/100/1000Base-T Adapter
  	4400  Gigabit Ethernet
  1149  Win System Corporation
  114a  VMIC
  	5579  VMIPCI-5579 (Reflective Memory Card)
+ 	5587  VMIPCI-5587 (Reflective Memory Card)
+ 	6504  VMIC PCI 7755 FPGA
  	7587  VMIVME-7587
  114b  Canopus Co., Ltd
  114c  Annabooks
***************
*** 3200,3210 ****
--- 3525,3537 ----
  	0001  Motion TPEG Recorder/Player with audio
  1166  ServerWorks
  	0005  CNB20-LE Host Bridge
+ 	0006  CNB20HE Host Bridge
  	0007  CNB20-LE Host Bridge
  	0008  CNB20HE Host Bridge
  	0009  CNB20LE Host Bridge
  	0010  CIOB30
  	0011  CMIC-HE
+ 	0012  CMIC-LE
  	0013  CNB20-HE Host Bridge
  	0014  CNB20-HE Host Bridge
  	0015  CMIC-GC Host Bridge
***************
*** 3270,3276 ****
--- 3597,3605 ----
  	0465  RL5c465
  	0466  RL5c466
  	0475  RL5c475
+ 		144d c006  vpr Matrix 170B4 CardBus bridge
  	0476  RL5c476 II
+ 		1014 0185  ThinkPad A/T/X Series
  		104d 80df  Vaio PCG-FX403
  		104d 80e7  VAIO PCG-GR214EP/GR214MP/GR215MP/GR314MP/GR315MP
  	0477  RL5c477
***************
*** 3279,3285 ****
--- 3608,3616 ----
  	0522  R5C522 IEEE 1394 Controller
  		1014 01cf  ThinkPad A30p (2653-64G)
  	0551  R5C551 IEEE 1394 Controller
+ 		144d c006  vpr Matrix 170B4
  	0552  R5C552 IEEE 1394 Controller
+ 		1014 0511  ThinkPad A/T/X Series
  1181  Telmatics International
  1183  Fujikura Ltd
  1184  Forks Inc
***************
*** 3371,3377 ****
  	4240  AMCC S933Q Intelligent Serial Card
  11aa  Actel
  11ab  Galileo Technology Ltd.
! 	0146  GT-64010
  	4801  GT-48001
  	f003  GT-64010 Primary Image Piranha Image Generator
  11ac  Canon Information Systems Research Aust.
--- 3702,3710 ----
  	4240  AMCC S933Q Intelligent Serial Card
  11aa  Actel
  11ab  Galileo Technology Ltd.
! 	0146  GT-64010/64010A System Controller
! 	4611  GT-64115 System Controller
! 	4620  GT-64120/64120A/64121A System Controller
  	4801  GT-48001
  	f003  GT-64010 Primary Image Piranha Image Generator
  11ac  Canon Information Systems Research Aust.
***************
*** 3467,3472 ****
--- 3800,3806 ----
  	0443  LT WinModem
  	0444  LT WinModem
  	0445  LT WinModem
+ 		8086 2203  PRO/100+ MiniPCI (probably an Ambit U98.003.C.00 combo card)
  	0446  LT WinModem
  	0447  LT WinModem
  	0448  WinModem 56k
***************
*** 3496,3501 ****
--- 3830,3836 ----
  	044e  LT WinModem
  	044f  V90 WildWire Modem
  	0450  LT WinModem
+ 		144f 4005  Magnia SG20
  	0451  LT WinModem
  	0452  LT WinModem
  	0453  LT WinModem
***************
*** 3506,3520 ****
  	0458  LT WinModem
  	0459  LT WinModem
  	045a  LT WinModem
  	0461  V90 WildWire Modem
  	0462  V90 WildWire Modem
  	0480  Venus Modem (V90, 56KFlex)
  	5801  USB
  	5802  USS-312 USB Controller
  	5811  FW323
  		dead 0800  FireWire Host Bus Adapter
  11c2  Sand Microelectronics
! 11c3  NEC Corp
  11c4  Document Technologies, Inc
  11c5  Shiva Corporation
  11c6  Dainippon Screen Mfg. Co. Ltd
--- 3841,3858 ----
  	0458  LT WinModem
  	0459  LT WinModem
  	045a  LT WinModem
+ 	045c  LT WinModem
  	0461  V90 WildWire Modem
  	0462  V90 WildWire Modem
  	0480  Venus Modem (V90, 56KFlex)
  	5801  USB
  	5802  USS-312 USB Controller
+ # 4 port PCI USB Controller made by Agere (formely Lucent)
+ 	5803  USS-344S USB Controller
  	5811  FW323
  		dead 0800  FireWire Host Bus Adapter
  11c2  Sand Microelectronics
! 11c3  NEC Corporation
  11c4  Document Technologies, Inc
  11c5  Shiva Corporation
  11c6  Dainippon Screen Mfg. Co. Ltd
***************
*** 3568,3573 ****
--- 3906,3912 ----
  11e1  GEC Plessey Semi Inc.
  11e2  Samsung Information Systems America
  11e3  Quicklogic Corporation
+ 	5030  PC Watchdog
  11e4  Second Wave Inc
  11e5  IIX Consulting
  11e6  Mitsui-Zosen System Research
***************
*** 3629,3634 ****
--- 3968,3978 ----
  1200  CSS Corporation
  1201  Vista Controls Corp
  1202  Network General Corp.
+ 	4300  Gigabit Ethernet Adapter
+ 		1202 9841  SK-9841 LX
+ 		1202 9842  SK-9841 LX dual link
+ 		1202 9843  SK-9843 SX
+ 		1202 9844  SK-9843 SX dual link
  1203  Bayer Corporation, Agfa Division
  1204  Lattice Semiconductor Corporation
  1205  Array Corporation
***************
*** 3675,3680 ****
--- 4019,4025 ----
  	6933  OZ6933 Cardbus Controller
  		1025 1016  Travelmate 612 TX
  	6972  OZ6912 Cardbus Controller
+ 		1179 0001  Magnia Z310
  1218  Hybricon Corp.
  1219  First Virtual Corporation
  121a  3Dfx Interactive, Inc.
***************
*** 3696,3702 ****
  		139c 0016  Raven
  		139c 0017  Raven
  		14af 0002  Maxi Gamer Phoenix
- 		3030 3030  Skywell Magic TwinPower
  	0004  Voodoo Banshee [Velocity 100]
  	0005  Voodoo 3
  		121a 0004  Voodoo3 AGP
--- 4041,4046 ----
***************
*** 3808,3814 ****
  1249  Samsung Electronics Co., Ltd.
  124a  AEG Electrocom GmbH
  124b  SBS/Greenspring Modular I/O
! 	0040  cPCI-200 Four Slot IndustryPack carrier
  		124b 9080  PCI9080 Bridge
  124c  Solitron Technologies, Inc.
  124d  Stallion Technologies, Inc.
--- 4152,4158 ----
  1249  Samsung Electronics Co., Ltd.
  124a  AEG Electrocom GmbH
  124b  SBS/Greenspring Modular I/O
! 	0040  PCI-40A or cPCI-200 Quad IndustryPack carrier
  		124b 9080  PCI9080 Bridge
  124c  Solitron Technologies, Inc.
  124d  Stallion Technologies, Inc.
***************
*** 3853,3858 ****
--- 4197,4203 ----
  		125d 8888  Solo-1 Audio Adapter
  		525f c888  ES1969 SOLO-1 AudioDrive (+ES1938)
  	1978  ES1978 Maestro 2E
+ 		0e11 b112  Armada M700
  		1033 803c  ES1978 Maestro-2E Audiodrive
  		1033 8058  ES1978 Maestro-2E Audiodrive
  		1092 4000  Monster Sound MX400
***************
*** 3884,3889 ****
--- 4229,4238 ----
  1260  Harris Semiconductor
  	3873  Prism 2.5 Wavelan chipset
  		1186 3501  DWL-520 Wireless PCI Adapter
+ 		1668 0414  HWP01170-01 802.11b PCI Wireless Adapter
+ 		1737 3874  WMP11 Wireless 802.11b PCI Adapter
+ 		8086 2513  Wireless 802.11b MiniPCI Adapter
+ 	3890  D-Links DWL-g650 A1
  	8130  HMP8130 NTSC/PAL Video Decoder
  	8131  HMP8131 NTSC/PAL Video Decoder
  1261  Matsushita-Kotobuki Electronics Industries, Ltd.
***************
*** 3919,3924 ****
--- 4268,4274 ----
  1273  Hughes Network Systems
  	0002  DirecPC
  1274  Ensoniq
+ 	1171  ES1373 [AudioPCI] (also Creative Labs CT5803)
  	1371  ES1371 [AudioPCI-97]
  		0e11 0024  AudioPCI on Motherboard Compaq Deskpro
  		0e11 b1a7  ES1371, ES1373 AudioPCI
***************
*** 3989,3994 ****
--- 4339,4345 ----
  1277  Comstream
  1278  Transtech Parallel Systems Ltd.
  	0701  TPE3/TM3 PowerPC Node
+ 	0710  TPE5 PowerPC PCI board
  1279  Transmeta Corporation
  	0295  Northbridge
  	0395  LongRun Northbridge
***************
*** 4184,4189 ****
--- 4535,4541 ----
  		12ae 0001  Gigabit Ethernet-SX (Universal)
  		1410 0104  Gigabit Ethernet-SX PCI Adapter
  	0002  AceNIC Gigabit Ethernet (Copper)
+ 		10a9 8002  Acenic Gigabit Ethernet
  		12ae 0002  Gigabit Ethernet-T (3C986-T)
  12af  TDK USA Corp
  12b0  Jorge Scientific Corp
***************
*** 4214,4220 ****
  		12b9 00ab  USR 56k Internal Voice Modem (Model 5609)
  		12b9 00ac  USR 56k Internal Voice Modem (Model 3298)
  		12b9 00ad  USR 56k Internal FAX Modem (Model 5610)
! 12ba  PMC Sierra
  12bb  Nippon Unisoft Corporation
  12bc  Array Microsystems
  12bd  Computerm Corp.
--- 4566,4572 ----
  		12b9 00ab  USR 56k Internal Voice Modem (Model 5609)
  		12b9 00ac  USR 56k Internal Voice Modem (Model 3298)
  		12b9 00ad  USR 56k Internal FAX Modem (Model 5610)
! 12ba  BittWare, Inc.
  12bb  Nippon Unisoft Corporation
  12bc  Array Microsystems
  12bd  Computerm Corp.
***************
*** 4278,4288 ****
--- 4630,4643 ----
  	00a0  ITNT2
  12d3  Vingmed Sound A/S
  12d4  Ulticom (Formerly DGM&S)
+ 	0200  T1 Card
  12d5  Equator Technologies
  12d6  Analogic Corp
  12d7  Biotronic SRL
  12d8  Pericom Semiconductor
  12d9  Aculab PLC
+ 	0002  PCI Prosody
+ 	0004  cPCI Prosody
  12da  True Time Inc.
  12db  Annapolis Micro Systems, Inc
  12dc  Symicron Computer Communication Ltd.
***************
*** 4400,4405 ****
--- 4755,4761 ----
  	0036  PCI-DAS64/M2/16
  	0037  PCI-DAS64/M3/16
  	004c  PCI-DAS1000
+ 	004d  PCI-QUAD04
  1308  Jato Technologies Inc.
  	0001  NetCelerator Adapter
  		1308 0001  NetCelerator Adapter
***************
*** 4486,4491 ****
--- 4842,4849 ----
  1330  MMC Networks
  1331  Radisys Corp.
  1332  Micro Memory
+ 	5415  MM-5415CN PCI Memory Module with Battery Backup
+ 	5425  MM-5425CN PCI 64/66 Memory Module with Battery Backup
  1334  Redcreek Communications, Inc
  1335  Videomail, Inc
  1337  Third Planet Publishing
***************
*** 4523,4529 ****
  134f  Algo System Co Ltd
  1350  Systec Co. Ltd
  1351  Sonix Inc
! 1353  Dassault A.T.
  1354  Dwave System Inc
  1355  Kratos Analytical Ltd
  1356  The Logical Co
--- 4881,4891 ----
  134f  Algo System Co Ltd
  1350  Systec Co. Ltd
  1351  Sonix Inc
! 1353  Thales Idatys
! 	0002  Proserver
! 	0003  PCI-FUT
! 	0004  PCI-S0
! 	0005  PCI-FUT-S0
  1354  Dwave System Inc
  1355  Kratos Analytical Ltd
  1356  The Logical Co
***************
*** 4531,4537 ****
--- 4893,4911 ----
  135a  Brain Boxes
  135b  Giganet Inc
  135c  Quatech Inc
+ 	0010  QSC-100
+ 	0020  DSC-100
+ 	0030  DSC-200/300
+ 	0040  QSC-200/300
+ 	0050  ESC-100D
+ 	0060  ESC-100M
  	00f0  MPAC-100 Syncronous Serial Card (Zilog 85230)
+ 	0170  QSCLP-100
+ 	0180  DSCLP-100
+ 	0190  SSCLP-100
+ 	01a0  QSCLP-200/300
+ 	01b0  DSCLP-200/300
+ 	01c0  SSCLP-200/300
  135d  ABB Network Partner AB
  135e  Sealevel Systems Inc
  	7101  Single Port RS-232/422/485/530
***************
*** 4579,4584 ****
--- 4953,4959 ----
  1384  Reality Simulation Systems Inc
  1385  Netgear
  	4100  802.11b Wireless Adapter (MA301)
+ 	4105  MA311 802.11b wireless adapter
  	620a  GA620
  	622a  GA622
  	630a  GA630
***************
*** 4631,4636 ****
--- 5006,5015 ----
  	0006  6500 Public Key Processor
  	0007  7811 Security Processor
  	0012  7951 Security Processor
+ 	0014  78XX Security Processor
+ 	0016  8065 Security Processor
+ 	0017  8165 Security Processor
+ 	0018  8154 Security Processor
  13a4  Rascom Inc
  13a5  Audio Digital Imaging Inc
  13a6  Videonics Inc
***************
*** 4681,4687 ****
--- 5060,5069 ----
  13ce  Cocom A/S
  13cf  Studio Audio & Video Ltd
  13d0  Techsan Electronics Co Ltd
+ # http://www.b2c2inc.com/products/pc-specs.html
+ 	2103  B2C2 Sky2PC PCI [SkyStar2]
  13d1  Abocom Systems Inc
+ 	ab02  ADMtek Centaur-C rev 17 [D-Link DFE-680TX] CardBus Fast Ethernet Adapter
  	ab06  RTL8139 [FE2000VX] CardBus Fast Ethernet Attached Port Adapter
  13d2  Shark Multimedia Inc
  13d3  IMC Networks
***************
*** 4708,4714 ****
  13e6  Argosy research Inc
  13e7  NAC Incorporated
  13e8  Chip Express Corporation
! 13e9  Chip Express Corporation
  13ea  Dallas Semiconductor
  13eb  Hauppauge Computer Works Inc
  13ec  Zydacron Inc
--- 5090,5096 ----
  13e6  Argosy research Inc
  13e7  NAC Incorporated
  13e8  Chip Express Corporation
! 13e9  Intraserver Technology Inc
  13ea  Dallas Semiconductor
  13eb  Hauppauge Computer Works Inc
  13ec  Zydacron Inc
***************
*** 4729,4737 ****
--- 5111,5121 ----
  	0101  CM8338B
  		13f6 0101  CMI8338-031 PCI Audio Device
  	0111  CM8738
+ 		1019 0970  P6STP-FL motherboard
  		1043 8077  CMI8738 6-channel audio controller
  		1043 80e2  CMI8738 6ch-MX
  		13f6 0111  CMI8738/C3DX PCI Audio Device
+ 		1681 a000  Gamesurround MUSE XL
  	0211  CM8738
  13f7  Wildfire Communications
  13f8  Ad Lib Multimedia Inc
***************
*** 4778,4783 ****
--- 5162,5168 ----
  1411  Ikos Systems Inc
  1412  IC Ensemble Inc
  	1712  ICE1712 [Envy24]
+ 	1724  ICE1724 [Envy24HT]
  1413  Addonics
  1414  Microsoft Corporation
  1415  Oxford Semiconductor Ltd
***************
*** 4875,4881 ****
  	0001  NextMove PCI
  1460  DYNARC INC
  1461  Avermedia Technologies Inc
! 1462  Micro-star International Co Ltd
  1463  Fast Corporation
  1464  Interactive Circuits & Systems Ltd
  1465  GN NETTEST Telecom DIV.
--- 5260,5266 ----
  	0001  NextMove PCI
  1460  DYNARC INC
  1461  Avermedia Technologies Inc
! 1462  Micro-Star International Co., Ltd.
  1463  Fast Corporation
  1464  Interactive Circuits & Systems Ltd
  1465  GN NETTEST Telecom DIV.
***************
*** 4886,4891 ****
--- 5271,5277 ----
  146a  IFR
  146b  Parascan Technologies Ltd
  146c  Ruby Tech Corp.
+ 	1430  FE-1430TX Fast Ethernet PCI Adapter
  146d  Tachyon, INC.
  146e  Williams Electronics Games, Inc.
  146f  Multi Dimensional Consulting Inc
***************
*** 4936,4941 ****
--- 5322,5328 ----
  149b  SEIKO Instruments Inc
  149c  OVISLINK Corp.
  149d  NEWTEK Inc
+ 	0001  Video Toaster for PC
  149e  Mapletree Networks Inc.
  149f  LECTRON Co Ltd
  14a0  SOFTING GmBH
***************
*** 4954,4959 ****
--- 5341,5347 ----
  14ad  Time Space Radio AB
  14ae  CTI, Inc
  14af  Guillemot Corporation
+ 	7102  3D Prophet II MX
  14b0  BST Communication Technology Ltd
  14b1  Nextcom K.K.
  14b2  ENNOVATE Networks Inc
***************
*** 4961,4966 ****
--- 5349,5362 ----
  	0000  DSL NIC
  14b4  PHILIPS Business Electronics B.V.
  14b5  Creamware GmBH
+ 	0200  Scope
+ 	0300  Pulsar
+ 	0400  Pulsar2
+ 	0600  Pulsar2
+ 	0800  DSP-Board
+ 	0900  DSP-Board
+ 	0a00  DSP-Board
+ 	0b00  DSP-Board
  14b6  Quantum Data Corp.
  14b7  PROXIM Inc
  	0001  Symphony 4110
***************
*** 4971,4976 ****
--- 5367,5373 ----
  	0350  PC4800
  	4500  PC4500
  	4800  PC4800
+ 	a504  Cisco Aironet Wireless 802.11b
  14ba  INTERNIX Inc.
  14bb  SEMTECH Corporation
  14bc  Globespan Semiconductor Inc.
***************
*** 5043,5082 ****
  14e3  AMTELCO
  14e4  Broadcom Corporation
  	1644  NetXtreme BCM5700 Gigabit Ethernet
! 		1014 0277  Broadcom Vigil B5700 1000BaseTX
  		1028 00d1  Broadcom BCM5700
  		1028 0106  Broadcom BCM5700
! 		1028 0109  Broadcom BCM5700 1000BaseTX
  		1028 010a  Broadcom BCM5700 1000BaseTX
! 		10b7 1000  3C996-T 1000BaseTX
! 		10b7 1001  3C996B-T 1000BaseTX
! 		10b7 1002  3C996C-T 1000BaseTX
! 		10b7 1003  3C997-T 1000BaseTX Dual Port
! 		10b7 1004  3C996-SX 1000BaseSX
! 		10b7 1005  3C997-SX 1000BaseSX Dual Port
  		10b7 1008  3C942 Gigabit LOM (31X31)
! 		14e4 0002  NetXtreme 1000BaseSX
! 		14e4 0003  NetXtreme 1000BaseSX
! 		14e4 0004  NetXtreme 1000BaseTX
  		14e4 1028  NetXtreme 1000BaseTX
! 		14e4 1644  BCM5700 1000BaseTX
  	1645  NetXtreme BCM5701 Gigabit Ethernet
  		0e11 007c  NC7770 Gigabit Server Adapter (PCI-X, 10/100/1000-T)
  		0e11 007d  NC6770 Gigabit Server Adapter (PCI-X, 1000-SX)
  		0e11 0085  NC7780 Gigabit Server Adapter (embedded, WOL)
  		0e11 0099  NC7780 Gigabit Server Adapter (embedded, WOL)
  		0e11 009a  NC7770 Gigabit Server Adapter (PCI-X, 10/100/1000-T)
! 		1028 0121  Broadcom BCM5701 1000BaseTX
! 		10b7 1004  3C996-SX 1000BaseSX
! 		10b7 1006  3C996B-T 1000BaseTX
! 		10b7 1007  3C1000-T 1000BaseTX
! 		10b7 1008  3C940-BR01 1000BaseTX
! 		14e4 0001  BCM5701 1000BaseTX
! 		14e4 0005  BCM5701 1000BaseTX
! 		14e4 0006  BCM5701 1000BaseTX
! 		14e4 0007  BCM5701 1000BaseSX
! 		14e4 0008  BCM5701 1000BaseTX
! 		14e4 8008  BCM5701 1000BaseTX
  	1646  NetXtreme BCM5702 Gigabit Ethernet
  		0e11 00bb  NC7760 1000BaseTX
  		1028 0126  Broadcom BCM5702 1000BaseTX
--- 5440,5483 ----
  14e3  AMTELCO
  14e4  Broadcom Corporation
  	1644  NetXtreme BCM5700 Gigabit Ethernet
! 		1014 0277  Broadcom Vigil B5700 1000Base-T
  		1028 00d1  Broadcom BCM5700
  		1028 0106  Broadcom BCM5700
! 		1028 0109  Broadcom BCM5700 1000Base-T
  		1028 010a  Broadcom BCM5700 1000BaseTX
! 		10b7 1000  3C996-T 1000Base-T
! 		10b7 1001  3C996B-T 1000Base-T
! 		10b7 1002  3C996C-T 1000Base-T
! 		10b7 1003  3C997-T 1000Base-T Dual Port
! 		10b7 1004  3C996-SX 1000Base-SX
! 		10b7 1005  3C997-SX 1000Base-SX Dual Port
  		10b7 1008  3C942 Gigabit LOM (31X31)
! 		14e4 0002  NetXtreme 1000Base-SX
! 		14e4 0003  NetXtreme 1000Base-SX
! 		14e4 0004  NetXtreme 1000Base-T
  		14e4 1028  NetXtreme 1000BaseTX
! 		14e4 1644  BCM5700 1000Base-T
  	1645  NetXtreme BCM5701 Gigabit Ethernet
  		0e11 007c  NC7770 Gigabit Server Adapter (PCI-X, 10/100/1000-T)
  		0e11 007d  NC6770 Gigabit Server Adapter (PCI-X, 1000-SX)
  		0e11 0085  NC7780 Gigabit Server Adapter (embedded, WOL)
  		0e11 0099  NC7780 Gigabit Server Adapter (embedded, WOL)
  		0e11 009a  NC7770 Gigabit Server Adapter (PCI-X, 10/100/1000-T)
! 		0e11 00c1  NC6770 Gigabit Server Adapter (PCI-X, 1000-SX)
! 		1028 0121  Broadcom BCM5701 1000Base-T
! 		10a9 8010  SGI IO9 Gigabit Ethernet (Copper)
! 		10a9 8011  SGI Gigabit Ethernet (Copper)
! 		10a9 8012  SGI Gigabit Ethernet (Fiber)
! 		10b7 1004  3C996-SX 1000Base-SX
! 		10b7 1006  3C996B-T 1000Base-T
! 		10b7 1007  3C1000-T 1000Base-T
! 		10b7 1008  3C940-BR01 1000Base-T
! 		14e4 0001  BCM5701 1000Base-T
! 		14e4 0005  BCM5701 1000Base-T
! 		14e4 0006  BCM5701 1000Base-T
! 		14e4 0007  BCM5701 1000Base-SX
! 		14e4 0008  BCM5701 1000Base-T
! 		14e4 8008  BCM5701 1000Base-T
  	1646  NetXtreme BCM5702 Gigabit Ethernet
  		0e11 00bb  NC7760 1000BaseTX
  		1028 0126  Broadcom BCM5702 1000BaseTX
